
import React from 'react'
import { View, Image, Text } from '@tarojs/components'

import './style.less'

export default (props) => {
  const { image, onClick } = props

  const handleClick = (e) => {
    if (onClick) {
      e.stopPropagation()  
      onClick(e);
    }
  }

  return (
    <View className='cpn-action cpn-image-action'>
      <View onClick={handleClick}>
        <Image src={image} />
      </View>
    </View>
  )
}
