
import React from 'react'
import { View } from '@tarojs/components'

import './style.less'

export default (props) => {
  const { action = null, onClick, style, className } = props

  return (
    <View className={`${className} coupon-card`} style={style}>
      <View className='coupon-card_body' onClick={onClick}>
        {props.children}
      </View>
      <View className='coupon-card_action'>{action}</View>
    </View>
  )
}
