import React from 'react'
import { View } from '@tarojs/components'
import Star from '@/components/Star'
import './style.less'

export default (props) => {
  const { star } = props

  const enableStar = star !== undefined && star !== null

  return (
    <View className='coupun-media_body'>
      {
        star == 'ss' ? <Star score={5} style={{ marginTop: '26rpx', opacity: '0' }} /> :
          enableStar ? <Star score={(star).toFixed(1)} style={{ marginTop: '26rpx' }} /> : null
      }
      <View className='coupun-media_body_ctt' style={{marginTop:enableStar?'':'20px'}}>
        {props.children}
      </View>
    </View>
  )
}
