import Taro from '@tarojs/taro';

export function classNames(...args) {
  return args.filter(Boolean).join(' ')
}

export function getRect(selector) {
  return new Promise((resolve) => {
    Taro.nextTick(() => {
      Taro.createSelectorQuery().select(selector).boundingClientRect(rect => resolve(rect)).exec()
    })
  })
}
