

import formatTimes from '@/utils/formatTime'

import './style.less'


export default (props) => {

  const { item } = props



  return (
    <view className='spreadCard'>
      <view className='spreadDate'>日期：<text>{formatTimes(item.createDate, "yyyy/MM/dd")}</text></view>
      <view className='card'>
        <view className='spreadTime'>时&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;间：<text>{formatTimes(item.createDate, "yyyy/MM/dd hh:mm")}</text></view>
        <view className='spreadMoney'>收入金额：<text>{(item.amount / 100).toFixed(2)}</text>元</view>
      </view>
    </view>
  )
}
