import Taro from "@tarojs/taro"
import { Icon, View } from "@tarojs/components"
import { useEffect, useState } from "react"
import CustomNav from '@/components/CustomNav'
import withLayout from '@/layouts'

import './style.less'

const ear = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/ear.png'
const Eye = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/Eye.png'
const Eyebrow = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/Eyebrow.png'
const nose = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/nose.png'
const mouth = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/mouth.png'

export default (props) => {
  const { ico, textNext, onSelected, nextQuestio } = props


  const [netxIma, setNetxIma] = useState(false)
  const [oneImage, setOneImage] = useState([
    {
      title: '眉毛',
      ico: Eyebrow,
      active: false
    },
    {
      title: '眼睛',
      ico: Eye,
      active: false
    },
    {
      title: '嘴巴',
      ico: mouth,
      active: false
    },
    {
      title: '鼻子',
      ico: nose,
      active: false
    },
    {
      title: '耳朵',
      ico: ear,
      active: false
    },

  ])

  const handleTextNext = (e) => {
    onSelected()

    const res = oneImage.map((item, inx) => {

      if (item.title == e.title) {

        item.active = true

      } else {

        item.active = false
      }
      return item

    })
    setOneImage(res)
    setTimeout(() => {
      nextQuestio()

    }, 500);

  }







  return (
    <View >
      <View style='font-size: 20px;font-weight: bold;color: #140F0F;marginLeft:10px;;marginLeft:10px;'>
        4<text style='font-size: 13px;font-weight: bold;color: #140F0F;'> / 5 </text>现在开始想你的一个五官，你想到的是？
      </View>
      {
        oneImage.map((item, index) =>
          <view className='Five-Conste-box' key={index} onClick={() => handleTextNext(item)}>
            <View className='Five-box-imageContent'>
              <image className={`Five-box-image ${item.active && 'Five-imageLess'}`} src={item.ico} />

            </View>
            <view className='Five-box-content' >
              <View className='Five-box-C-title' >
                {item.title}
              </View>
              <View className='Five-box-C-moon' >
              </View>
            </view>

          </view>

        )




      }


    </View>


  )
}