import Taro from "@tarojs/taro"
import { Icon, View } from "@tarojs/components"
import { useEffect, useState } from "react"
import CustomNav from '@/components/CustomNav'
import withLayout from '@/layouts'




import './style.less'


export default (props) => {
  const { ico, onSelected, handleGoTo } = props
  const [netxIma, setNetxIma] = useState(false)

  const MaJiang = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/MaJiang.png'
  const hello = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/hello.png'
  const WeChat = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/WeChat.png'
  const police = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/police.png'
  const RunAway = 'https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/RandomIIcon/RunAway.png'//


  const [ufoImage, setUfoImage] = useState([
    {
      title: '打麻将',
      ico: MaJiang,
      active: false
    },
    {
      title: '打招呼',
      ico: hello,
      active: false

    },
    {
      title: '加微信',
      ico: WeChat,
      active: false

    },
    {
      title: '报警',
      ico: police,
      active: false

    },
    {
      title: '逃跑',
      ico: RunAway,
      active: false

    },

  ]

  )



  const handleTexUfo = (e) => {
    onSelected()
    const res = ufoImage.map((item, inx) => {

      if (item.title == e.title) {

        item.active = true

      } else {

        item.active = false
      }
      return item

    })
    setUfoImage(res)
    setTimeout(() => {
      handleGoTo()

    }, 500);


  }


  return (
    <View >
      <View style='font-size: 20px;font-weight: bold;color: #140F0F;marginLeft:10px;;marginLeft:10px;'>
        5<text style='font-size: 13px;font-weight: bold;color: #140F0F;'> / 5 </text>当你看到外星人是第一时间会做什么？
      </View>
      {
        ufoImage.map((item, index) =>
          <view className='UFO-Conste-box' key={index} onClick={() => handleTexUfo(item)}>
            <View className='UFO-box-imageContent'>
              <image className={`UFO-box-image ${item.active && 'UFO-imageLess'}`} src={item.ico} />

            </View>
            <view className='UFO-box-content' >
              <View className='UFO-box-C-title' >
                {item.title}
              </View>
              <View className='UFO-box-C-moon' >
              </View>
            </view>

          </view>

        )




      }


    </View>


  )
}