import Taro from '@tarojs/taro'
import { Image, Button, View, Text } from '@tarojs/components'
import React, { useState } from 'react'
import CustomNav from '@/components/CustomNav'
import oneDay from '@/assets/icons/Travel/oneDay.png'
import twoDay from '@/assets/icons/Travel/twoDay.png'
import threeDay from '@/assets/icons/Travel/threeDay.png'
import custom from '@/assets/icons/Travel/custom.png'
import CustomDay from './components/CustomDay/index.jsx'
import TipModel from './components/TipModel/index.jsx'
import TwoModel from './components/TwoModel/index.jsx'
import ThreeModel from './components/ThreeModel/index.jsx'
import './style.less'

export default (props) => {
  const [showCutover, setShowCutover] = useState(false)
  const [showCutoverTip, setShowCutoverTip] = useState(false)
  const [showCutoverTwo, setShowCutoverTwo] = useState(false)
  const [showCutoverThree, setShowCutoverThree] = useState(false)
  const onClose = () => {
    setShowCutover(false)
  }
  const handleFinish = (val) => {

  }

  const handleFinish2 = (val) => {

  }
  const handelCustom = () => {
    setShowCutover(true)
  }
  const onCloseTip = () => {
    //关闭一日游
    setShowCutoverTip(false)
  }
  const handelDay = () => {
    //打开一日游
    setShowCutoverTip(true)
  }
  // ------------------
  const onCloseTwo = () => {
    //关闭二日游
    setShowCutoverTwo(false)
  }
  const handelTowDay = () => {
    //打开二日游
    setShowCutoverTwo(true)
  }
  // ------------------

  const onCloseThree = () => {
    //关闭三日游
    setShowCutoverThree(false)
  }
  const handelThreeDay = () => {
    //打开三日游
    setShowCutoverThree(true)
  }
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='定制行程' />
      </View>
      <CustomDay showCutover={showCutover} onClose={onClose} onFinish={handleFinish} />
      <TipModel showCutover={showCutoverTip} onClose={onCloseTip} />
      <TwoModel showCutover={showCutoverTwo} onClose={onCloseTwo} />
      <ThreeModel showCutover={showCutoverThree} onClose={onCloseThree} />

      <View className='index-container custom'>
        <View className='selectbtn'>
          <Image src={oneDay} className='img' onClick={handelDay}></Image>
          <Image src={twoDay} className='img' onClick={handelTowDay}></Image>
          <Image src={threeDay} className='img' onClick={handelThreeDay}></Image>
          <Image src={custom} className='img' onClick={handelCustom}></Image>
        </View>
      </View>
    </View>
  )
}