
import React from 'react'
import { View, Text } from '@tarojs/components'
import './style.less'

export default (props) => {
  const { money, prefix = '返', style } = props

  const yuan = Number(money / 100).toFixed(0)

  return (
    <View className='cpn_cashback' style={style}>
      <Text style={{ fontSize: '.6em' }}>{`${prefix}￥`}</Text>
      <Text>{`${yuan}`}</Text>
    </View>
  )
}
