import React from 'react'
import { View } from '@tarojs/components'
import './style.less'

export default (props) => {
  const { onClick } = props

  const handleClick = (e) => {
    if (onClick) {
      e.stopPropagation();  
      onClick(e);
    }
  }

  return (
    <View className='coupun-media' onClick={handleClick}>
      {props.children}
    </View>
  )
}
