import React from 'react'
import { View, Image, Text } from '@tarojs/components'
import './style.less'

export default (props) => {
  const { icon, text, onClick } = props

  return (
    <View className='htab-icon' onClick={onClick}>
      <Image src={icon} />
      <Text>{text}</Text>
    </View>
  )
}
