import React from 'react'
import { View, Image } from '@tarojs/components'
import position from '@/assets/icons/GuideCheck/position_logo.png'
import './style.less'

export default (props) => {
  const { areaName, areaPName } = props

  const name = [areaPName, areaName].filter(Boolean).join('/')

  return (
    <View className='loc-box'>
      <View className='loc-box_icon'>
        <Image src={position} />
      </View>
      <View className='loc-box_name'>
        {name}
      </View>
    </View>
  )
}
