import React from 'react'
import { View } from '@tarojs/components'
import Star from './Star'
import './style.less'

export default (props) => {
  const { score, style } = props

  return (
    <View className='star-box' style={style}>
      <View>
        <Star star={score} />
      </View>
      <View>
        {score}
      </View>
    </View>
  )
}
