import { Video } from '@tarojs/components';
import { compressImage } from '@/utils'
import './extend.less'

export default (props) => {
  const { item } = props
  return (
    <view className='cardext'>
    {
      item.contentType == 'image' ?
        <image src={compressImage(item.content)} mode='widthFix' style={{ width: '100%'}} /> :
        item.contentType == 'text' ?
          <view className='storezn'>{item.content}</view> :
          <Video
            controls
            autoplay={false}
            loop={false}
            muted={false} style={{ width: "100%", height: '200px' }} src={item.content}>              
          </Video>
    }
    </view>
  )
}