

import Taro from '@tarojs/taro'
import { View } from '@tarojs/components'
import { getTravelDestiny } from '@/services/travel'
// import ResultOver from "../../../RandomItinerary/components/ResultOver/index"//结果

import './style.less'

export default (props) => {
  const { item, onMoldeOn } = props


  const goToTravel = () => {
    Taro.navigateTo({ url: `/pages/Travel/customizedTravel/index` })

  }

  //跳转答题页
  const goToRandomItinerary = () => {

    getTravelDestiny().then(e => {

      if (!e) {
        Taro.navigateTo({ url: `/pages/RandomItinerary/index` })

      } else {
        Taro.navigateTo({ url: `/pages/RandomItinerary/ResultOver/index` })

      }

    })




  }

  return (
    <view style='width:100%;display:flex;'>
      <view style='width:45%'>
        <view onClick={goToTravel} className='CustomizedEntrance'  ></view>
        <image className='MiniYellow' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/GuideCheck/MiniYellow.png' />

        <image className='BigPink' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/GuideCheck/BigPink.png' />

      </view>
      <view className='style=width:45%'>
        <view className='BigYellow'  ></view>

        {/* <view className='MiniPink'  ></view> */}
        <image className='MiniPink' src='https://yz-shigongli.oss-cn-shanghai.aliyuncs.com/images/GuideCheck/MiniPink.png' />


        <view onClick={goToRandomItinerary} className='LtineraryEntrance'  ></view>

      </view>
    </view>



  )
}
