import { openShare } from "@/services/share";
import { useEffect } from "react";

export default function useShareOpen(personId, shareId) {
  useEffect(() => {
    if (personId && shareId) {
      openShare(shareId)
    }
  }, [personId, shareId])
}
